Announcement

Collapse
No announcement yet.

Problème install PEAR

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Problème install PEAR

    Boujour,

    J'arrive pas a installer PEAR. J'ai télécharger PEAR-1.4.9 et PEAR_Command_Packaging-0.1.1 mais je sais pas comment l'installer:

    5. Verifying PHP Pear Component Oreon

    PHP Pear Extension
    DB Failed
    Need DB-1.7.6
    DB_DataObject Failed
    Need DB_DataObject-1.8.4
    DB_DataObject_FormBuilder Failed
    Need DB_DataObject_FormBuilder-1.0.0RC4
    MDB2 Failed
    Need MDB2-2.0.0
    Date Failed
    Need Date-1.4.6
    Numbers_Roman Failed
    Need Numbers_Roman-1.0.1
    Numbers_Words Failed
    Need Numbers_Words-0.14.0
    HTML_Common Failed
    Need HTML_Common-1.2.2
    HTML_QuickForm Failed
    Need HTML_QuickForm-3.2.5
    HTML_QuickForm_advmultiselect Failed
    Need HTML_QuickForm_advmultiselect-1.1.0
    HTML_Table Failed
    Need HTML_Table-1.6.1
    Archive_Tar Failed
    Need Archive_Tar-1.1
    Auth_SASL Failed
    Need Auth_SASL-1.0.1
    Console_Getopt Failed
    Need Console_Getopt-1.2
    HTTP Failed
    Need HTTP-1.2.2
    Image_Canvas Failed
    Need Image_Canvas-0.2.4
    Image_Color Failed
    Need Image_Color-1.0.2
    Image_Graph Failed
    Need Image_Graph-0.7.1
    Image_GraphViz Failed
    Need Image_GraphViz-1.1.0
    Mail Failed
    Need Mail-1.1.9
    Mail_Mime Failed
    Need Mail_Mime-1.3.1
    Net_SMTP Failed
    Need Net_SMTP-1.2.8
    Net_Socket Failed
    Need Net_Socket-1.0.1
    Net_Traceroute Failed
    Need Net_Traceroute-0.21
    Net_Ping Failed
    Need Net_Ping-2.4.1
    Validate Failed
    Need Validate-0.6.2
    XML_Parser Failed
    Need XML_Parser-1.0.1
    XML_RPC Failed
    Need XML_RPC-1.4.5


    Merci de votre aide

  • #2
    http://pear.php.net

    Soit tu les telecharges a meme les mirroirs.
    Si tu n'as pas le net tu les enregistres et puis
    Code:
    > pear install mon_pkg.tar.gz
    Pour upgrader une version d'un package de PEAR, il faut passer par tous les packages intermediaires.
    Par exemple, PEAR-1.2 vers PEAR-1.5, il te faut upgrader :
    PEAR-1.2 => PEAR-1.3 => PEAR-1.4 => PEAR-1.5
    Romain Le Merlus
    Centreon Forge
    MERETHIS

    Comment


    • #3
      Pour être sûr d'avoir toutes les dépendances installées directement, tu peux utiliser:
      pear install --alldeps nom_package_à_installer

      ... C'était juste pour rajouter mes 2 ¤uroCents... :lol: Zby-)

      Comment


      • #4
        salut, jai a peu près le même problème que toi sauf que moi j'ai deja une version de pear d'installer mais il me dit que certain "pear component" ne sont pas installé , donc jai pris pear-1.4.9 mais je ne sais pas comment l'installé

        je suis en train de me prendre la tête sur oréon, je trouve que c'est vraiment très chiant à installé...

        Merci d'avance pour votre aide

        Comment


        • #5
          Code:
          # pear --help
          Code:
          # pear install myPackage
          Pour upgrader un element de PEAR de plusisuers versions, il faut passser par toutes les versions intermediaires.

          Code:
          # pear upgrade myPackage
          Et puis => google.

          Dis toi que la version 1.3 est plus difficile a developper qu'a installer.
          Romain Le Merlus
          Centreon Forge
          MERETHIS

          Comment


          • #6
            la command "pear --help" ne fonctionne pas.

            pour info je suis sur redhat enterprise3

            Merci pour ton aide

            Comment


            • #7
              T'as pas du tout pear installe en fait je pense..
              => php-pear.rpm
              Romain Le Merlus
              Centreon Forge
              MERETHIS

              Comment


              • #8
                je suis alé sur pear.php.net mais je ne trouve pas de php-pear en rpm correspondant a redhat enterprise3.

                le seul truk ke jai trouvé c'est php-pear-ole, mais je suppose que ce n'est pas sa qu'il faut.

                bon voili voilou

                Comment


                • #9
                  Cherche tes rpm du cote de chez DAG :

                  http://dag.wieers.com/packages/
                  Intel(R) Xeon(TM) CPU 3.4GHz - MemTotal : 1034476 kB
                  Centreon 2.4.1 - Nagios 3.2.1 - Nagios Plugins 1.4.15 - Manubulon Plugins tuné
                  Fedora Core 5 - 2.6.20-1.2320

                  Comment


                  • #10
                    donc je vien d'allé sur dag wieers et le problème c'est que je ne sais pas lequel choisir entre php-pear-log, php-pear_mime, php-pear-excel,php-pear-ole et php-pear-phpunit.

                    donc si quelqu'un peut m'apporter de l'aide. Je suis désolé mais je suis novice dans ce domaine, et j'avoue que je ne comprends rien du tout a ce que c'est que pear.

                    Merci pour votre aide

                    Comment


                    • #11
                      Originally posted by Z-obaze
                      je suis en train de me prendre la tête sur oréon, je trouve que c'est vraiment très chiant à installé...
                      Originally posted by Z-obaze
                      Je suis désolé mais je suis novice dans ce domaine, et j'avoue que je ne comprends rien du tout a ce que c'est que pear
                      Ouf j'ai cru que c'était Oreon :idea:
                      Romain Le Merlus
                      Centreon Forge
                      MERETHIS

                      Comment


                      • #12
                        Originally posted by Z-obaze
                        donc je vien d'allé sur dag wieers et le problème c'est que je ne sais pas lequel choisir entre php-pear-log, php-pear_mime, php-pear-excel,php-pear-ole et php-pear-phpunit.

                        donc si quelqu'un peut m'apporter de l'aide. Je suis désolé mais je suis novice dans ce domaine, et j'avoue que je ne comprends rien du tout a ce que c'est que pear.

                        Merci pour votre aide
                        Peut-être par ici :
                        http://rpmfind.net/linux/rpm2html/se...query=php-pear
                        Intel(R) Xeon(TM) CPU 3.4GHz - MemTotal : 1034476 kB
                        Centreon 2.4.1 - Nagios 3.2.1 - Nagios Plugins 1.4.15 - Manubulon Plugins tuné
                        Fedora Core 5 - 2.6.20-1.2320

                        Comment


                        • #13
                          Bon jai réussit a installé tout les pear, mais maintenant j'ai un problème avec mysql.

                          Je suis sur red enterprise 3 et avec le cd il y a un package de base mais le problème c'est qu'il n'y a pas de demon pour démarrer le service mysql, donc du coup jai voulu essayé en installant un autre package, donc la il y a bien le service mysql qui démarre mais le problème c'est que je ne peu plus démarrer le service httpd, il me met comme erreur, kil ne trouve pas libmysqlclient avec le fichier mod_auth_mysq.conf.

                          DOnc jai été dans ce fichier et jai vu qu'il y avait une seul ligne ki n'étai pas commenté, donc je l'ai commenté pour voir ce que cela faisait. a ce moment le service httpd démarre bien mais par contre oreon me dit que le fichier mysql.so n'est pas chargé dans php.ini.

                          Donc si quelqu'un a la solution a mon problème, car la je suis un peu bloqué.

                          Merki

                          Comment


                          • #14
                            Originally posted by Z-obaze
                            Bon jai réussit a installé tout les pear, mais maintenant j'ai un problème avec mysql.

                            Je suis sur red enterprise 3 et avec le cd il y a un package de base mais le problème c'est qu'il n'y a pas de demon pour démarrer le service mysql, donc du coup jai voulu essayé en installant un autre package, donc la il y a bien le service mysql qui démarre mais le problème c'est que je ne peu plus démarrer le service httpd, il me met comme erreur, kil ne trouve pas libmysqlclient avec le fichier mod_auth_mysq.conf.

                            DOnc jai été dans ce fichier et jai vu qu'il y avait une seul ligne ki n'étai pas commenté, donc je l'ai commenté pour voir ce que cela faisait. a ce moment le service httpd démarre bien mais par contre oreon me dit que le fichier mysql.so n'est pas chargé dans php.ini.

                            Donc si quelqu'un a la solution a mon problème, car la je suis un peu bloqué.

                            Merki
                            Tu m'as l'air de faire du grand bricolage et de nous faire une conf totalement instable où l'on sera incapable de t'aider à l'avenir.
                            Me dit pas qu'il n'y a pas mysql-server dans les rpm de tes cd RHEL 3, je te croirais pas.
                            De plus tu n'as pas à installer mysql-auth surtout si tu ne connais pas le bigniou :roll:
                            Intel(R) Xeon(TM) CPU 3.4GHz - MemTotal : 1034476 kB
                            Centreon 2.4.1 - Nagios 3.2.1 - Nagios Plugins 1.4.15 - Manubulon Plugins tuné
                            Fedora Core 5 - 2.6.20-1.2320

                            Comment


                            • #15
                              ouai moi ossi jai limpression de faire du grand bricolage, mais comme je ne comprends pas grand choses j'essaye de trouvé des solutions tout seul.

                              je sens que je vai recommencé tout depuis le début et ensuite on verra.

                              merki pour votre aide co mm

                              Comment

                              Working...
                              X